From owner-svn-src-user@freebsd.org  Tue Dec 26 07:08:12 2017
Return-Path: <owner-svn-src-user@freebsd.org>
Delivered-To: svn-src-user@mailman.ysv.freebsd.org
Received: from mx1.freebsd.org (mx1.freebsd.org
 [IPv6:2001:1900:2254:206a::19:1])
 by mailman.ysv.freebsd.org (Postfix) with ESMTP id 8AE7EEA6098
 for <svn-src-user@mailman.ysv.freebsd.org>;
 Tue, 26 Dec 2017 07:08:12 +0000 (UTC) (envelope-from pho@FreeBSD.org)
Received: from repo.freebsd.org (repo.freebsd.org
 [IPv6:2610:1c1:1:6068::e6a:0])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 by mx1.freebsd.org (Postfix) with ESMTPS id 56B7567D59;
 Tue, 26 Dec 2017 07:08:12 +0000 (UTC) (envelope-from pho@FreeBSD.org)
Received: from repo.freebsd.org ([127.0.1.37])
 by repo.freebsd.org (8.15.2/8.15.2) with ESMTP id vBQ78BTD038026;
 Tue, 26 Dec 2017 07:08:11 GMT (envelope-from pho@FreeBSD.org)
Received: (from pho@localhost)
 by repo.freebsd.org (8.15.2/8.15.2/Submit) id vBQ78BWm038025;
 Tue, 26 Dec 2017 07:08:11 GMT (envelope-from pho@FreeBSD.org)
Message-Id: <201712260708.vBQ78BWm038025@repo.freebsd.org>
X-Authentication-Warning: repo.freebsd.org: pho set sender to pho@FreeBSD.org
 using -f
From: Peter Holm <pho@FreeBSD.org>
Date: Tue, 26 Dec 2017 07:08:11 +0000 (UTC)
To: src-committers@freebsd.org, svn-src-user@freebsd.org
Subject: svn commit: r327190 - user/pho/stress2/misc
X-SVN-Group: user
X-SVN-Commit-Author: pho
X-SVN-Commit-Paths: user/pho/stress2/misc
X-SVN-Commit-Revision: 327190
X-SVN-Commit-Repository: base
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-BeenThere: svn-src-user@freebsd.org
X-Mailman-Version: 2.1.25
Precedence: list
List-Id: "SVN commit messages for the experimental &quot; user&quot;
 src tree" <svn-src-user.freebsd.org>
List-Unsubscribe: <https://lists.freebsd.org/mailman/options/svn-src-user>,
 <mailto:svn-src-user-request@freebsd.org?subject=unsubscribe>
List-Archive: <http://lists.freebsd.org/pipermail/svn-src-user/>
List-Post: <mailto:svn-src-user@freebsd.org>
List-Help: <mailto:svn-src-user-request@freebsd.org?subject=help>
List-Subscribe: <https://lists.freebsd.org/mailman/listinfo/svn-src-user>,
 <mailto:svn-src-user-request@freebsd.org?subject=subscribe>
X-List-Received-Date: Tue, 26 Dec 2017 07:08:12 -0000

Author: pho
Date: Tue Dec 26 07:08:11 2017
New Revision: 327190
URL: https://svnweb.freebsd.org/changeset/base/327190

Log:
  Added a test scenario.
  
  Obtained from:	peterj@

Added:
  user/pho/stress2/misc/chain.sh   (contents, props changed)

Added: user/pho/stress2/misc/chain.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/misc/chain.sh	Tue Dec 26 07:08:11 2017	(r327190)
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+# Unkillable process in "vm map (user)" seen.
+# https://people.freebsd.org/~pho/stress/log/kostik1070.txt
+
+# Test scenario by Peter Jeremy <peterj@>
+
+if [ ! -f /usr/local/include/libmill.h -o \
+    ! -x /usr/local/lib/libmill.so ]; then
+	echo "ports/devel/libmill needed."
+	exit 0
+fi
+
+. ../default.cfg
+
+cat > /tmp/chain.c <<EOF
+#include <stdio.h>
+#include <stdlib.h>
+#include <libmill.h>
+
+coroutine void f(chan left, chan right) {
+    chs(left, int, 1 + chr(right, int));
+}
+
+int
+main(int argc __unused, char **argv)
+{
+	int i, n = argv[1] ? atoi(argv[1]) : 10000;
+	chan leftmost = chmake(int, 0);
+	chan left = NULL;
+	chan right = leftmost;
+
+	for (i = 0; i < n; i++) {
+		left = right;
+		right = chmake(int, 0);
+		go(f(left, right));
+	}
+	chs(right, int, 0);
+	i = chr(leftmost, int);
+	printf("result = %d\n", i);
+	return(0);
+}
+EOF
+
+mycc -o /tmp/chain -I /usr/local/include -L /usr/local/lib -Wall -Wextra \
+	 -O2 -g /tmp/chain.c -lmill || exit 1
+/tmp/chain 1000000
+rm -f /tmp/chain /tmp/chain.c
+exit 0

From owner-svn-src-user@freebsd.org  Wed Dec 27 09:25:46 2017
Return-Path: <owner-svn-src-user@freebsd.org>
Delivered-To: svn-src-user@mailman.ysv.freebsd.org
Received: from mx1.freebsd.org (mx1.freebsd.org
 [IPv6:2001:1900:2254:206a::19:1])
 by mailman.ysv.freebsd.org (Postfix) with ESMTP id BD30DE809AA
 for <svn-src-user@mailman.ysv.freebsd.org>;
 Wed, 27 Dec 2017 09:25:46 +0000 (UTC) (envelope-from pho@FreeBSD.org)
Received: from repo.freebsd.org (repo.freebsd.org
 [IPv6:2610:1c1:1:6068::e6a:0])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 by mx1.freebsd.org (Postfix) with ESMTPS id 8A8F47EF9F;
 Wed, 27 Dec 2017 09:25:46 +0000 (UTC) (envelope-from pho@FreeBSD.org)
Received: from repo.freebsd.org ([127.0.1.37])
 by repo.freebsd.org (8.15.2/8.15.2) with ESMTP id vBR9Pj8g008140;
 Wed, 27 Dec 2017 09:25:45 GMT (envelope-from pho@FreeBSD.org)
Received: (from pho@localhost)
 by repo.freebsd.org (8.15.2/8.15.2/Submit) id vBR9Pjon008139;
 Wed, 27 Dec 2017 09:25:45 GMT (envelope-from pho@FreeBSD.org)
Message-Id: <201712270925.vBR9Pjon008139@repo.freebsd.org>
X-Authentication-Warning: repo.freebsd.org: pho set sender to pho@FreeBSD.org
 using -f
From: Peter Holm <pho@FreeBSD.org>
Date: Wed, 27 Dec 2017 09:25:45 +0000 (UTC)
To: src-committers@freebsd.org, svn-src-user@freebsd.org
Subject: svn commit: r327237 - user/pho/stress2/misc
X-SVN-Group: user
X-SVN-Commit-Author: pho
X-SVN-Commit-Paths: user/pho/stress2/misc
X-SVN-Commit-Revision: 327237
X-SVN-Commit-Repository: base
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-BeenThere: svn-src-user@freebsd.org
X-Mailman-Version: 2.1.25
Precedence: list
List-Id: "SVN commit messages for the experimental &quot; user&quot;
 src tree" <svn-src-user.freebsd.org>
List-Unsubscribe: <https://lists.freebsd.org/mailman/options/svn-src-user>,
 <mailto:svn-src-user-request@freebsd.org?subject=unsubscribe>
List-Archive: <http://lists.freebsd.org/pipermail/svn-src-user/>
List-Post: <mailto:svn-src-user@freebsd.org>
List-Help: <mailto:svn-src-user-request@freebsd.org?subject=help>
List-Subscribe: <https://lists.freebsd.org/mailman/listinfo/svn-src-user>,
 <mailto:svn-src-user-request@freebsd.org?subject=subscribe>
X-List-Received-Date: Wed, 27 Dec 2017 09:25:46 -0000

Author: pho
Date: Wed Dec 27 09:25:45 2017
New Revision: 327237
URL: https://svnweb.freebsd.org/changeset/base/327237

Log:
  Added a regression test.
  
  Sponsored by:	Dell EMC Isilon

Added:
  user/pho/stress2/misc/dd.sh   (contents, props changed)

Added: user/pho/stress2/misc/dd.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/misc/dd.sh	Wed Dec 27 09:25:45 2017	(r327237)
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2017 Dell EMC Isilon
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# Watchdog fired:
+# https://people.freebsd.org/~pho/stress/log/mark013.txt
+# Fixed by: r327213
+
+. ../default.cfg
+
+outputfile=$RUNDIR/dd.outputfile
+(cd ../testcases/swap; ./swap -t 30m -i 20) > /dev/null 2>&1 &
+trap "rm -f ${outputfile}*" EXIT INT
+N=2
+NCPU=`sysctl -n hw.ncpu`
+s=0
+size=512
+start=`date '+%s'`
+while [ $((`date '+%s'` - start)) -lt 720 ]; do
+	pids=""
+	for i in `jot $N`; do
+		dd if=/dev/zero of=${outputfile}$i bs=1m count=$size &
+		pids="$pids $!"
+	done > /dev/null 2>&1
+	for pid in $pids; do
+		wait $pid
+		s=$?
+		[ $s -ne 0 ] && break 2
+	done
+	N=$((N * 2))
+	rm -f ${outputfile}*
+	[ $N -gt $((NCPU * 2)) ] && break
+done
+
+while pgrep -q swap; do
+	pkill -9 swap
+done
+exit $s